import astropy.io.fits as fits
import numpy

def wise_assef13_R75(data, wise1name, wise2name, snrw1, snrw2, MAGS_ARE_AB):

    import numpy

    if(MAGS_ARE_AB):
        w1 = data[wise1name] - 2.683
        w2 = data[wise2name] - 3.319
    else:
        w1 = data[wise1name] 
        w2 = data[wise2name] 
    
    ar=0.530
    br=0.183
    gr=13.76
    colour=ar * numpy.exp( br * (13.5 - gr)**2)

    left =  w1 - w2 - colour
    mask1=left>0
    mask2= w2 < gr
    mask3 = snrw1 > 3
    mask4 = snrw2 > 3
    mask_stern=numpy.logical_and(mask1, mask2)
    mask_stern=numpy.logical_and(mask_stern, mask3)
    mask_stern=numpy.logical_and(mask_stern, mask4)

    right=ar * numpy.exp( br * (w2 - gr)**2)
    left =  w1 - w2 - right
    
    mask1=left>0
    mask2 = snrw1 > 3
    mask3 = snrw2 > 3
    mask4 = w2 >= gr
    mask5 = w2 <= 17.11

    mask_assef=numpy.logical_and(mask1, mask2)
    mask_assef=numpy.logical_and(mask_assef, mask3)
    mask_assef=numpy.logical_and(mask_assef, mask4)
    mask_assef=numpy.logical_and(mask_assef, mask5)

    mask = numpy.logical_or(mask_stern, mask_assef)


    return mask;


filename = "SIM.fits"
hdu = fits.open(filename)
data=hdu[1].data
maskWISE = wise_assef13_R75(data, "WISE1N", "WISE2N",data['snrw1'], data['snrw2'], MAGS_ARE_AB=True)

